<?php

namespace Drupal\mcp\ResponseHandler;

use Drupal\mcp\Config\McpSettings;
use Drupal\mcp\Storage\ClientMessageStorageInterface;

/**
 * Factory for creating response handlers.
 */
class ResponseHandlerFactory {

  public function __construct(
    private readonly McpSettings $mcpSettings,
    private readonly ClientMessageStorageInterface $storage,
  ) {}

  /**
   * Gets the response handler.
   */
  public function getHandler(): ResponseHandlerInterface {
    return $this->mcpSettings->isSseEnabled()
      ? new SseResponseHandler($this->storage)
      : new DirectResponseHandler();
  }

}
