<?php

namespace Drupal\mcp\ResponseHandler;

use Symfony\Component\HttpFoundation\JsonResponse;

/**
 * Interface for response handlers.
 */
interface ResponseHandlerInterface {

  /**
   * Handles the response from the MCP server.
   *
   * @param \Symfony\Component\HttpFoundation\JsonResponse $rpcResponse
   *   The response from the MCP server.
   * @param ?string $clientId
   *   The client ID.
   *
   * @return \Symfony\Component\HttpFoundation\JsonResponse
   *   The response to send to the client.
   *
   * @throws \Exception
   */
  public function handleResponse(
    JsonResponse $rpcResponse,
    ?string $clientId,
  ): JsonResponse;

}
